
QGIS Application - Bug report #20209

QGIS crashes when creating a new GRASS location/mapset

2018-10-24 03:49 PM - Agustín Rodríguez

Status: Closed

Priority: High

Assignee:

Category: GRASS

Affected QGIS version:3.2.3 Regression?: No

Operating System: Windows 7 Home Premium Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 28030

Description

Cuando doy un nombre a la localización en Grass, el programa siempre se cierra. Este es el reporte que me sale.

When I give a name to the location in Grass, the program always closes. This is the report that get me.

User Feedback

Report Details

Crash ID: d76ef2dff745d2aba152da6d1350374fbeb23cff

Stack Trace

RtlRaiseStatus :

longjmp :

longjmp :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :
QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn

QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Related issues:

Duplicates QGIS Application - Bug report # 20327: Grass crashes when try to c... Open 2018-11-02

History

#1 - 2018-10-24 03:53 PM - Giovanni Manghi

- Subject changed from Grass to QGIS crashes when creating a new GRASS location/mapset

#2 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#3 - 2018-11-11 02:03 PM - Jürgen Fischer

- Duplicates Bug report #20327: Grass crashes when try to create mapset added

#4 - 2018-11-11 02:03 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
